Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.i18n
Class CachingLocaleFormat

    java.lang.Object
      org.jboss.portal.common.i18n.CachingLocaleFormat

All Implemented Interfaces:
  LocaleFormat

    public class CachingLocaleFormat

extends java.lang.Object
implements LocaleFormat

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.common.i18n.LocaleFormat
`DEFAULT, DEFAULT_NO_CACHE, RFC3066_LANGUAGE_TAG, RFC3066_LANGUAGE_TAG_NO_CACHE`

Constructor Summary
`CachingLocaleFormat(LocaleFormat delegate)`

Method Summary
`java.util.Locale` | `getLocale(java.lang.String value)`
`java.lang.String` | `toString(java.util.Locale locale)`
`void` | `write(java.util.Locale locale, CharWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingLocaleFormat

    public CachingLocaleFormat(LocaleFormat delegate)
                        throws java.lang.IllegalArgumentException

Parameters:
  `delegate` - the delegate when the cache value has not been found
Throws:
  `java.lang.IllegalArgumentException` - if the delegate object provided is null

Method Detail

### getLocale

    public java.util.Locale getLocale(java.lang.String value)
                               throws ConversionException

  Specified by:
    `getLocale` in interface `LocaleFormat`
  Throws:
    `ConversionException`

### toString

    public java.lang.String toString(java.util.Locale locale)
                              throws ConversionException

  Specified by:
    `toString` in interface `LocaleFormat`
  Throws:
    `ConversionException`

### write

    public void write(java.util.Locale locale,
                      CharWriter writer)
               throws java.io.IOException,
                      ConversionException

  Specified by:
    `write` in interface `LocaleFormat`
  Throws:
    `java.io.IOException`
    `ConversionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.